Skip to main content
GET
/
parameters
Error
A valid request URL is required to generate request examples
{
  "opening_statement": "Hello! How can I help you today?",
  "suggested_questions": [
    "What can you do?",
    "Tell me about your features."
  ],
  "suggested_questions_after_answer": {
    "enabled": true
  },
  "speech_to_text": {
    "enabled": false
  },
  "text_to_speech": {
    "enabled": false,
    "voice": "alloy",
    "language": "en-US",
    "autoPlay": "disabled"
  },
  "retriever_resource": {
    "enabled": true
  },
  "annotation_reply": {
    "enabled": false
  },
  "more_like_this": {
    "enabled": false
  },
  "sensitive_word_avoidance": {
    "enabled": false
  },
  "user_input_form": [
    {
      "text-input": {
        "label": "City",
        "variable": "city",
        "required": true,
        "default": ""
      }
    }
  ],
  "file_upload": {
    "image": {
      "enabled": true,
      "number_limits": 3,
      "detail": "high",
      "transfer_methods": [
        "remote_url",
        "local_file"
      ]
    }
  },
  "system_parameters": {
    "file_size_limit": 15,
    "image_file_size_limit": 10,
    "audio_file_size_limit": 50,
    "video_file_size_limit": 100,
    "workflow_file_upload_limit": 10
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.dify.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

API Key authentication. For all API requests, include your API Key in the Authorization HTTP Header, prefixed with Bearer. Example: Authorization: Bearer {API_KEY}. Strongly recommend storing your API Key on the server-side, not shared or stored on the client-side, to avoid possible API-Key leakage that can lead to serious consequences.

Response

Application parameters information.

opening_statement
string

Opening statement displayed at start.

suggested_questions
string[]

List of suggested starter questions.

suggested_questions_after_answer
object

Configuration for suggested questions after answer.

speech_to_text
object

Speech-to-text configuration.

text_to_speech
object

Text-to-speech configuration.

retriever_resource
object

Retriever resource configuration.

annotation_reply
object

Annotation reply configuration.

more_like_this
object

More-like-this configuration.

sensitive_word_avoidance
object

Sensitive word avoidance configuration.

user_input_form
(Text Input · object | Paragraph · object | Select · object)[]

List of user input form elements.

file_upload
object

File upload configuration.

system_parameters
object

System-level parameters and limits.